<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
		<style type="text/css">
		</style>
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="">菜单管理</a></div>
		<div class="common_content_title">菜单管理</div>

		<div class="common_content_btnList clearfix" style="height: 60px;">
 			<button id="fensixiangqingBtn" onclick="saveAndPubMenu()" type="button" class="btn btn-success btn-block">保存并发布</button>
			<span style="color: #666666;margin-top: 20px;position: relative;top: 24px;">
							可创建最多3个一级菜单，每个一级菜单下可创建最多5个二级菜单。
						</span>
		</div>

		<!--添加菜单界面-->
		<div class="wechat_caidan border5 box_shadow">
			<div class="wechat_caidan_left">
				<div class="wechat_caidan_top">菜单管理
					<span class="wechat_caidan_icon1" onclick="addOneMenu(this)"></span>
				</div>
				<ul id="menuUl">
				
				</ul>
			</div>
			<div class="wechat_caidan_right">
				<span class="wechat_caidan_right_icon">
					<i onclick="editMenuName()" class="table_icon icon_upd"></i>&nbsp;&nbsp;&nbsp;
					<i onclick="deleteMenu()" class="table_icon icon_del"></i>
				</span>
				
				<div id="viewPanelDefault" class="">
					<div class="wechat_caidan_right_shezhi">
						<div style="color: #666666; text-align: center;">
							<span id="viewText">你可以点击左侧菜单或添加一个新菜单，然后设置菜单内容</span>
						</div>
					</div>
				</div>
				
				<div id="viewPanel" class="none">
					<div class="wechat_caidan_right_shezhi">
						<div style="color: #666666; text-align: center;">
							<span id="viewText">你可以点击左侧菜单或添加一个新菜单，然后设置菜单内容</span>
							<span id="viewText1">订阅者点击该子菜单会收到以下消息</span>
							<span id="viewText2" style="display: none">订阅者点击该子菜单会跳到以下链接</span>
								<div id="viewDiv" style="margin-top: 20px;border:1px solid #2DB200;min-height: 50px; word-break:break-all; text-align:left; padding:5px;">
									<input type="hidden" value="" />
<!-- 									<span style="font-size: 14px">www.baidu.com</span> -->
<!-- 									<img id="memberPhoto" src="https://ss1.bdstatic.com/70cFuXSh_Q1YnxGkpoWK1HF6hhy/it/u=1158549394,2821559545&fm=111&gp=0.jpg" /> -->
								</div>
								<div class="common_content_btnList clearfix">
									<button onclick="editMenu()" type="button" class="btn btn-success btn-block">修改</button>
									<button onclick="resetMenu()" type="button" class="btn btn-success btn-block">重设</button>
								</div>
						</div>
					</div>
				</div>
				
				<!--一级菜单-->
				<div id="onePanel" class="none">
					<div class="wechat_caidan_right_title">
						<span style="color: #666666;">
							一级菜单 ：<span>一级名字</span>
						</span>
					</div>
					<div class="wechat_caidan_right_shezhi">
						<div id="onePanelTitel" style="color: #666666; text-align: center;">
							请设置“一级名字”菜单的内容
						</div>
						<ul class="wechat_caidan_right_updicon clearfix">
							
							<!-- <li>
								<div onclick="addTwoMenu2()" class="updicon icon_addmenu"></div>
								<span>添加二级菜单</span>
							</li>
							<li>
								<div onclick="setMessage()" class="updicon icon_addmsg"></div>
								<span>发送信息</span>
							</li> -->
							<li>
								<div onclick="setUrl()" class="updicon icon_addurl"></div>
								<span>跳送到网页</span>
							</li>
						</ul>
					</div>
				</div>
				
				<!--二级菜单-->
				<div id="twoPanel" class="none">
					<div class="wechat_caidan_right_title">
						<span style="color: #666666;">
							二级菜单 ：<span>二级名字</span>
						</span>
					</div>
					<div class="wechat_caidan_right_shezhi2">
						<div id="twoPanelTitel" style="color: #666666; text-align: center;">
							请设置“二级名字”菜单的内容
						</div>
						<ul class="wechat_caidan_right_updicon clearfix">
							<!-- <li>
								<div onclick="setMessage()" class="updicon icon_addmsg"></div>
								<span>发送信息</span>
							</li> -->
							<li>
								<div onclick="setUrl()" class="updicon icon_addurl"></div>
								<span>跳送到网页</span>
							</li>
						</ul>
					</div>
				</div>
				
				<!--绑定功能项-->
				<div id="setPanel" class="none">
					<div class="wechat_caidan_right_title">
						<span style="color: #666666;">
							一级菜单 ：<span>一级名字</span>
						</span>
						<br />
						<br />
						<br />
						<br />
						<span style="color: #666666;">
							选择绑定的功能项：
						</span>
					</div>
					<div class="wechat_msg border5 box_shadow" style="margin: auto;">
						<div class="row wechat_msg_top_row">
							<div data-for="#tuwen" class="col-xs-4 active">
								<i class="wechat_msg_icon icon_pic"></i> 图文消息
							</div>
<!-- 							<div data-for="#wenzi" class="col-xs-4"> -->
<!-- 								<i class="wechat_msg_icon icon_font"></i> 文字消息 -->
<!-- 							</div> -->
							<div data-for="#tupian" class="col-xs-4">
								<i class="wechat_msg_icon icon_img"></i> 图片消息
							</div>
						</div>
						<div class="wechat_msg_main">
							<!--图文-->
							<div id="tuwen">
								<div id="showSucai" class="wechat_msg_no">
									<div class="wechat_msg_no_icon"></div>
									<span>从素材库中选择</span>
								</div>
								<div class="common_content_btnList clearfix">
<!-- 									<button onclick="saveNews()" type="button" class="btn btn-success btn-block">保存</button> -->
								</div>
							</div>
							<!--文字-->
<!-- 							<div id="wenzi" class="none"> -->
<!-- 								<div class="wechat_msg_font"> -->
<!-- 									<textarea name="" rows="" cols=""></textarea> -->
<!-- 									<div> -->
<!-- 										还可输入600字 -->
<!-- 									</div> -->
<!-- 								</div> -->
<!-- 								<div class="common_content_btnList clearfix"> -->
<!-- 									<button id="memberAddBtn" type="button" class="btn btn-success btn-block">保存</button> -->
<!-- 								</div> -->
<!-- 							</div> -->
							<!--图片-->
							<div id="tupian" class="none">
								<div class="wechat_msg_img">
									<form id="uploadForm"  method="post" enctype="multipart/form-data">
										<div><img id="ImgPr" width="150" height="150" /></div>
										 <input type="file" name="imageFile" id="up" />
									</form>
								</div>
								<div class="common_content_btnList clearfix">
									<button onclick="saveImage()" type="button" class="btn btn-success btn-block">上传</button>
								</div>
							</div>
						</div>
					</div>
				</div>
				
				<!--编辑页面-->
				<div id="editSetPanel" class="none">
					<div class="wechat_caidan_right_title">
						<span style="color: #666666;">
							一级菜单 ：<span>一级名字</span>
						</span>
						<br />
						<br />
						<br />
						<br />
						<span style="color: #666666;">
							选择绑定的功能项：
						</span>
					</div>
					<div class="wechat_msg border5 box_shadow" style="margin: auto;">
						<div class="row wechat_msg_top_row">
							<div data-for="#tuwenedit" class="col-xs-4 active">
								<i class="wechat_msg_icon icon_pic"></i> 图文消息
							</div>
							<div data-for="#tupianedit" class="col-xs-4">
								<i class="wechat_msg_icon icon_img"></i> 图片消息
							</div>
						</div>
						<div class="wechat_msg_main" >
							<!--图文-->
							<div id="tuwenedit" class="wechat_sucai_add">
							</div>
							<!--图片-->
							<div id="tupianedit" class="none">
							</div>
						</div>
					</div>
				</div>
				
				<!--url-->
				<div id="urlPanel" class="none">
					<div class="wechat_caidan_right_title">
						<span id="urlPanelTitle" style="color: #666666;">
							一级菜单 ：<span>一级名字</span>
						</span>
						<br />
						<br />
						<br />
						<br />
						<span style="color: #666666;">
							用户点击菜单后，页面跳转到下面的链接。
						</span>
					</div>
					<div class="row margin20">
						<div class="col-xs-2" style="line-height: 34px; text-align: center;">
							页面地址
						</div>
						<div class="col-xs-8">
							<input type="text" name="" class="form-control" />
						</div>
					</div>
					
					<div class="common_content_btnList clearfix">
						<button onclick="saveUrl(this)" type="button" class="btn btn-success btn-block">保存</button>
					</div>
				</div>
				
			</div>
		</div>
<!-- 		<button type="button" class="btn btn-success btn-block choose_btn">保存并发布</button> -->
		
		<!--添加一级菜单-->
		<div id="firstAdd" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">添加一级菜单</div>
				<div>
					<form>
						<div class="row">
							<div>
								<input type="text" name="" class="form-control" />
							</div>
						</div>
						<div style="color: #CCCCCC; text-align: right;margin-top: 20px;">
							最多能添加3个一级菜单，请输入名称（4个汉字或8个字母以内）
						</div>
						<button onclick="saveAddOneMenu(this)" type="button" class="btn btn-success btn-block choose_btn">保存</button>
					</form>
				</div>
			</div>
		</div>
		
		<div id="firstAddEdit" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">修改一级菜单</div>
				<div>
					<form>
						<div class="row">
							<div>
								<input type="text" id="firstAddEditInput" name="" class="form-control" />
							</div>
						</div>
						<button onclick="saveEditName()" type="button" class="btn btn-success btn-block choose_btn">保存</button>
					</form>
				</div>
			</div>
		</div>
		<!--添加二级菜单-->
		<div id="secondAdd" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">添加二级菜单</div>
				<div>
					<form>
						<div class="row">
							<div>
								<input type="text" name="" class="form-control" />
							</div>
						</div>
						<div style="color: #CCCCCC; text-align: right;margin-top: 20px;">
							最多能添加5个二级菜单，请输入名称（4个汉字或8个字母以内）
						</div>
						<button onclick="saveAddTwoMenu(this)" type="button" class="btn btn-success btn-block choose_btn">保存</button>
					</form>
				</div>
			</div>
		</div>
		<div id="secondAddEdit" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">修改二级菜单</div>
				<div>
					<form>
						<div class="row">
							<div>
								<input type="text" id="secondAddEditInput" name="" class="form-control" />
							</div>
						</div>
						<button onclick="saveEditName()" type="button" class="btn btn-success btn-block choose_btn">保存</button>
					</form>
				</div>
			</div>
		</div>
		<!--选择素材-->
		<div id="suCai"  class="mask clearfix none">
			<div style="height:400px;line-height:100px;overflow:auto;overflow-x:hidden;" class="detailed wechat_sucai_panel tabPanel">
				<button type="button" class="icon detailed_close"></button>
				<ul id="wechat_sucai_ul" class="wechat_sucai_ul clearfix">
					
				</ul>
				<button onclick="selectNewsOk()" type="button" class="btn btn-success btn-block choose_btn">保存</button>
			</div>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['wechatMeum'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>